Creates a law firm
curl --request POST \
--url https://api.staging.scan.com/api/v2/law_firms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"law_firm": {
"name": "<string>",
"city": "<string>",
"state": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"zipcode": "<string>"
}
}
'require 'uri'
require 'net/http'
url = URI("https://api.staging.scan.com/api/v2/law_firms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"law_firm\": {\n \"name\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"address_line_1\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"zipcode\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_bodyimport requests
url = "https://api.staging.scan.com/api/v2/law_firms"
payload = { "law_firm": {
"name": "<string>",
"city": "<string>",
"state": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"zipcode": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
law_firm: {
name: '<string>',
city: '<string>',
state: '<string>',
address_line_1: '<string>',
address_line_2: '<string>',
zipcode: '<string>'
}
})
};
fetch('https://api.staging.scan.com/api/v2/law_firms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.staging.scan.com/api/v2/law_firms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'law_firm' => [
'name' => '<string>',
'city' => '<string>',
'state' => '<string>',
'address_line_1' => '<string>',
'address_line_2' => '<string>',
'zipcode' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.staging.scan.com/api/v2/law_firms"
payload := strings.NewReader("{\n \"law_firm\": {\n \"name\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"address_line_1\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"zipcode\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"law_firm": {
"id": "11111111-1111-1111-1111-111111111111",
"name": "Smith & Jones Law",
"address_line_1": "123 Main St",
"address_line_2": "Suite 100",
"city": "Atlanta",
"state": "GA",
"zipcode": "30303"
}
}Law Firms
Creates a law firm
Creates a pending law firm request associated with the authenticated user.
POST
/
api
/
v2
/
law_firms
Creates a law firm
Authorizations
Authorization: Bearer <api_token>. Sandbox tokens come from Get API keys
and allow 2,000 successful requests or 7 days. Failed 4xx/5xx responses do
not consume the allowance. Production tokens are issued from the group's
API access tab.
Body
application/json
Show child attributes
Show child attributes
Response
law firm created
Show child attributes
Show child attributes

